at.chipkarte.client.bkf.soap

## Class BkfToken

- Object
- - at.chipkarte.client.bkf.soap.BkfToken

-     public class BkfToken
      extends Object

  Informationen zu einen BKF-Token (BKF-Leistungsanspruch).

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `BkfToken()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getArtUntersuchung()` Beinhaltet die bei der Erstdokumentation erfasst Art der Untersuchung eines Rescreenings.
    `String` | `getEinladungsdatum()` Einladungsdatum.
    `Boolean` | `getFolgeDokumentation()` Kennzeichen, ob eine Erst- oder Folgedokumentation erfasst werden kann.
    `String` | `getTokenart()` Information, ob es sich um einen Regulären oder einen Rescreen-Token handelt.
    `Long` | `getTokenID()` Eindeutiger Bezeichner eines BKF-Tokens (BKF-Leistungsanspruchs).
    `void` | `setArtUntersuchung(String artUntersuchung)`
    `void` | `setEinladungsdatum(String einladungsdatum)`
    `void` | `setFolgeDokumentation(Boolean folgeDokumentation)`
    `void` | `setTokenart(String tokenart)`
    `void` | `setTokenID(Long tokenID)`

    - ### Methods inherited from class Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### BkfToken

          public BkfToken()

  - ### Method Detail

    - #### getTokenID

          public Long getTokenID()

      Eindeutiger Bezeichner eines BKF-Tokens (BKF-Leistungsanspruchs).
      Angabe: Muss.
      Format: maximal 19-stellig
      Returns:
        TokenID

    - #### setTokenID

          public void setTokenID(Long tokenID)

    - #### getEinladungsdatum

          public String getEinladungsdatum()

      Einladungsdatum.
      Angabe: Muss.
      Format: TT.MM.JJJJ
      Returns:
        Einladungsdatum

    - #### setEinladungsdatum

          public void setEinladungsdatum(String einladungsdatum)

    - #### getFolgeDokumentation

          public Boolean getFolgeDokumentation()

      Kennzeichen, ob eine Erst- oder Folgedokumentation erfasst werden kann.
      Angabe: Muss.
      Returns:
        FolgeDokumentation

    - #### setFolgeDokumentation

          public void setFolgeDokumentation(Boolean folgeDokumentation)

    - #### getTokenart

          public String getTokenart()

      Information, ob es sich um einen Regulären oder einen Rescreen-Token handelt.
      Angabe: Muss.
      mögliche Werte: siehe `TokenartTypConstant`.
      Returns:
        Tokenart

    - #### setTokenart

          public void setTokenart(String tokenart)

    - #### getArtUntersuchung

          public String getArtUntersuchung()

      Beinhaltet die bei der Erstdokumentation erfasst Art der Untersuchung eines Rescreenings.
      Angabe: Bedingt. Nur versorgt, wenn es sich um einen Rescreen-Token handelt, der zu einer Folgedokumentation führt. D.h. Tokenart gleich "W" und Folgedokumentation gleich "true".
      mögliche Werte: siehe `ArtUntersuchungTypConstant`.
      Returns:
        ArtUntersuchung

    - #### setArtUntersuchung

          public void setArtUntersuchung(String artUntersuchung)